Summary: Tools for creating presto repositories
Name: presto-utils
Version: 0.2.0
Release: 1%{?dist}
License: GPL
Group: Development/Tools
Source: http://www.lesbg.com/jdieter/presto/%{name}-%{version}.tar.bz2
URL: http://www.lesbg.com/jdieter/presto/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: python >= 2.4, deltarpm >= 3.4-2, createrepo >= 0.4.8

%description
Yum-presto is a plugin for yum that looks for deltarpms rather than rpms
whenever they are available.  This has the potential of saving a lot of
bandwidth when downloading updates.

A Deltarpm is the difference between two rpms.  If you already have foo-1.0
installed and foo-1.1 is available, yum-presto will download the deltarpm
for foo-1.0 => 1.1 rather than the full foo-1.1 rpm, and then build the full 
foo-1.1 package from your installed foo-1.0 and the downloaded deltarpm.

Presto-utils is a series of tools for creating presto repositories that
yum-presto can use.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%doc README 
%doc COPYING
%doc ChangeLog
%{_bindir}/createprestorepo
%{_bindir}/createdeltarpms
%{_datadir}/presto-utils

%changelog
* Tue Jun 19 2007 Jonathan Dieter <jdieter@gmail.com> - 0.2.0-1
- Initial release 
